Perform Journal Actions for Financial Consolidation and Close
Performs journal action for the specified journal. Changes the journal status to the new state specified.
Journal actions supported: SUBMIT,APPROVE,POST,UNPOST,REJECT, COMPLETE
This API works only for Financial Consolidation and Close.
REST Resource
POST /HyperionPlanning/rest/{api_version}/applications/{application}/journals/{journalLabel}/actionsRequired Roles
| Role | Available Actions |
|---|---|
| Service Administrator | All |
| Power User/User |
Submit/Post/Unpost/Complete: Need Write access to all the members in the journal Approve/Reject. Need Read access to all the members in the journal and Journal option must have been enabled. In addition, need respective Consolidation Security roles: Consolidation Journals - Submit, Consolidation Journals - Approve, Consolidation Journals - Post, Consolidation Journals - Unpost. |
Request
Supported Media Types: application/json
Parameters
The following table summarizes the client request.
Table 6-17 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
The name of the application | Path | Yes | None |
journalLabel |
Label for the journal | Path | Yes | None |
parameters |
Parameters for journals, for example: } These parameter fields are described in rows below. |
Body | Yes | None |
scenario |
The scenario for which you are performing the journal action | Body | Yes | None |
year |
The year for which you are performing the journal action | Body | Yes | None |
period |
The period for which you are performing the journal action | Body | Yes | None |
consolidation |
The consolidation for which you are performing the journal action | Body | No | Entity Input |
action |
The journal action. Supported valid Action values: SUBMIT,REJECT,APPROVE,POST,UNPOST and COMPLETE. | Body | Yes | None |
cube |
Cube containing the journal. | Body | No | Consol |
comment |
Comment for the requested journal action. | Body | No | None |
autoReversalPeriod |
Period for the auto-reversing journal. Applicable when posting an auto-reversing journal. | Body | No | None |
autoReversalYear |
Year for the auto-reversing journal. Applicable when posting an auto-reversing journal. | Body | No | None |
Note:
If eitherautoReversalPeriod or autoReversalYear is
provided, both parameters are required. The API validates that the members exist in the
Period and Year dimensions.
Response
Parameters
The following table summarizes the response parameters.
Table 6-18 Parameters
| Name | Description |
|---|---|
actionDetail |
Journal action, such as Posted |
actionStatus |
Action status, such as 0 |
Supported Media Types: application/json
Sample JSON Input
{
"parameters": {
"scenario": "Actual",
"year": "FY26",
"period": "Jan",
"consolidation": "FCCS_Entity Input",
"action": "POST",
"cube": "Consol",
"comment": "Post January close journal",
"autoReversalPeriod": "Feb",
"autoReversalYear": "FY26"
}
}Example of Response Body
The following shows an example of the response body.
{
"actionDetail": "Posted",
"actionStatus": 0
}